Search Unity

Error building Vuforia Core Samples on Android

Discussion in 'Vuforia' started by scionuait, Sep 25, 2017.

  1. yodda

    yodda

    Joined:
    Nov 3, 2016
    Posts:
    1
    hi im using unity 2019.2 and got error
    You are trying to replace or create a Prefab from the instance 'SafeAreaManager' that contains the script 'SafeAreaManager', which does not derive from MonoBehaviour. This is not allowed.
    Please change the script to derive from MonoBehaviour or remove it from the GameObject.
    UnityEditorInternal.InternalEditorUtility:projectWindowDrag(HierarchyProperty, Boolean)
    UnityEngine.GUIUtility:processEvent(Int32, IntPtr)

    any help?

    it happens when i downloaded the vuforia pack for the UDT event

    apparently it wont let me use it in my session. do you know winch version of unity is stable for user define target and you can create prefabs with it? i downloaded the vuforia core

    if i cant fix it i will need to downgrade unity and check or replace vuforia with wikitude
     
    Last edited: May 12, 2019
  2. meedabit

    meedabit

    Official Vuforia Employee Vuforia

    Joined:
    Dec 8, 2016
    Posts:
    253
    Hello,

    Unity Editor 2019.2 is still in beta and thus is not currently commercially supported by Vuforia Engine at this time. We plan to support it commercially once the Unity beta is complete.

    Thanks,
    Vuforia Engine Support